org.apache.storm.drpc

## Class DRPCInvocationsClient

- java.lang.Object
- - org.apache.storm.security.auth.ThriftClient
  - - org.apache.storm.drpc.DRPCInvocationsClient

- All Implemented Interfaces:
    AutoCloseable, DistributedRPCInvocations.Iface

      public class DRPCInvocationsClient
      extends ThriftClient
      implements DistributedRPCInvocations.Iface

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

    - ### Fields inherited from class org.apache.storm.security.auth.ThriftClient

      `protocol, retryForever`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DRPCInvocationsClient(Map<String,Object> conf, String host, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `failRequest(String id)`
    `void` | `failRequestV2(String id, DRPCExecutionException ex)`
    `DRPCRequest` | `fetchRequest(String func)`
    `DistributedRPCInvocations.Client` | `getClient()`
    `String` | `getHost()`
    `int` | `getPort()`
    `boolean` | `isConnected()`
    `void` | `reconnectClient()`
    `void` | `result(String id, String result)`

    - ### Methods inherited from class org.apache.storm.security.auth.ThriftClient

      `close, reconnect, transport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### DRPCInvocationsClient

          public DRPCInvocationsClient(Map<String,Object> conf,
                                       String host,
                                       int port)
                                throws org.apache.storm.thrift.transport.TTransportException

      Throws:
        `org.apache.storm.thrift.transport.TTransportException`

  - ### Method Detail

    - #### getHost

          public String getHost()

    - #### getPort

          public int getPort()

    - #### reconnectClient

          public void reconnectClient()
                               throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

    - #### isConnected

          public boolean isConnected()

    - #### result

          public void result(String id,
                             String result)
                      throws org.apache.storm.thrift.TException,
                             AuthorizationException

      Specified by:
        `result` in interface `DistributedRPCInvocations.Iface`
      Throws:
        `org.apache.storm.thrift.TException`
        `AuthorizationException`

    - #### fetchRequest

          public DRPCRequest fetchRequest(String func)
                                   throws org.apache.storm.thrift.TException,
                                          AuthorizationException

      Specified by:
        `fetchRequest` in interface `DistributedRPCInvocations.Iface`
      Throws:
        `org.apache.storm.thrift.TException`
        `AuthorizationException`

    - #### failRequest

          public void failRequest(String id)
                           throws org.apache.storm.thrift.TException,
                                  AuthorizationException

      Specified by:
        `failRequest` in interface `DistributedRPCInvocations.Iface`
      Throws:
        `org.apache.storm.thrift.TException`
        `AuthorizationException`

    - #### getClient

          public DistributedRPCInvocations.Client getClient()

    - #### failRequestV2

          public void failRequestV2(String id,
                                    DRPCExecutionException ex)
                             throws AuthorizationException,
                                    org.apache.storm.thrift.TException

      Specified by:
        `failRequestV2` in interface `DistributedRPCInvocations.Iface`
      Throws:
        `AuthorizationException`
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.